commit 309e23918de64082b20c803e5ac23cf98f4707f0
Author: castellano <castellano>
Date:   Sun May 11 23:44:04 2008 +0000

    cast to unsigned char when calling ctype macros

diff --git a/ChangeLog b/ChangeLog
index 6b21c25..58d8385 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Sun May 11 19:40:29 EDT 2008	Nick Castellano <entropy@freetds.org>
+	* src/replacements/readpassphrase.c:
+	- cast to unsigned char when calling ctype macros
+
 Fri May  9 14:47:15 EDT 2008	JK Lowden <jklowden@freetds.org>
 	* src/apps/osql handle 'server = ipaddr' in odbc.ini
 
@@ -272,4 +276,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2517 2008/05/09 18:49:03 jklowden Exp $
+$Id: ChangeLog,v 1.2518 2008/05/11 23:44:04 castellano Exp $
diff --git a/src/replacements/readpassphrase.c b/src/replacements/readpassphrase.c
index 007a45e..40c4069 100644
--- a/src/replacements/readpassphrase.c
+++ b/src/replacements/readpassphrase.c
@@ -171,9 +171,9 @@ restart:
 				ch &= 0x7f;
 			if (isalpha((unsigned char) ch)) {
 				if ((flags & RPP_FORCELOWER))
-					ch = tolower(ch);
+					ch = tolower((unsigned char) ch);
 				if ((flags & RPP_FORCEUPPER))
-					ch = toupper(ch);
+					ch = toupper((unsigned char) ch);
 			}
 			*p++ = ch;
 		}

